#First, make sure to have available all necessary modules:
import datetime as dt
import matplotlib.pyplot as plt
from matplotlib import style
import pandas as pd
import yfinance as yf
import numpy as np
style.use('ggplot')

#Second, retrive the data from, say, Yahoo:
start = dt.datetime(2002,12,31)
end = dt.datetime(2021,10,31)

df = yf.download("GOOGL", start, end)

print(df.head())
print(df.tail())

#Calculate the log returns:
df['Log_Ret'] = np.log(df['Adj Close']/df['Adj Close'].shift(1))
print (df.head()['Log_Ret'])
print(df.tail()['Log_Ret'])

#Calculate the rolling standard deviation of the log returns (volatility):
df['Volatility'] = df['Log_Ret'].rolling(window=252).std()*np.sqrt(252)

print(df.head())
print(df.tail())

#Save that data in file:
df.to_csv('GOOGL.csv')

df[['Adj Close','Volatility']].plot(subplots=True, color='blue', figsize=(8,6))
plt.show()
